Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class SingleEntryAsyncQueue

    java.lang.Object
      org.openqa.selenium.server.SingleEntryAsyncQueue

public class SingleEntryAsyncQueue
extends java.lang.Object

Provides a synchronizing queue that holds a single entry (eg a single Selenium Command).

Version:
  $Revision: 411 $
Author:
  Paul Hammant

Constructor Summary
`SingleEntryAsyncQueue()`

Method Summary
`void` | `clear()`
`java.lang.Object` | `get()` Retrieves the item from the queue.
`int` | `getTimeout()`
`void` | `put(java.lang.Object thing)` Puts something in the queue.
`static void` | `setDefaultTimeout(int defaultTimeout)`
`void` | `setTimeout(int timeout)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleEntryAsyncQueue

    public SingleEntryAsyncQueue()

Method Detail

### clear

    public void clear()

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### get

    public java.lang.Object get()

  Retrieves the item from the queue.

  If there's nothing in the queue right now, wait a period of time for something to show up.

  Returns:
    the item in the queue
  Throws:
    `SeleniumCommandTimedOutException` - if the timeout is exceeded.

### size

    public int size()

### toString

    public java.lang.String toString()

### put

    public void put(java.lang.Object thing)

  Puts something in the queue.

  If there's already something available in the queue, wait for that item to get picked up and removed from the queue.

### setDefaultTimeout

    public static void setDefaultTimeout(int defaultTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.